[arch-commits] Commit in gnash-common/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu May 14 10:41:02 EDT 2009


    Date: Thursday, May 14, 2009 @ 10:41:02
  Author: eric
Revision: 39265

upgpkg: gnash-common 0.8.5-2
    Switched to gstreamer instead of ffmpeg (close FS#13818 and FS#14115), Enabled speex support, Added libxi and fontconfig depends, Fixed png configure option

Modified:
  gnash-common/trunk/PKGBUILD

----------+
 PKGBUILD |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-14 13:32:00 UTC (rev 39264)
+++ PKGBUILD	2009-05-14 14:41:02 UTC (rev 39265)
@@ -2,23 +2,23 @@
 
 pkgname=gnash-common
 pkgver=0.8.5
-pkgrel=1
-pkgdesc='A GNU Flash movie player'
+pkgrel=2
+pkgdesc="A GNU Flash movie player"
 arch=('i686' 'x86_64')
-url='http://www.gnu.org/software/gnash/'
+url="http://www.gnu.org/software/gnash/"
 license=('GPL3')
-depends=('curl' 'giflib' 'boost' 'libldap' 'ffmpeg' 'sdl' 'agg'
-         'libjpeg' 'libpng' 'libtool')
+depends=('curl' 'giflib' 'boost' 'libldap' 'gstreamer0.10-base' 'sdl' 'agg'
+         'libjpeg' 'libpng' 'libtool' 'speex' 'libxi' 'fontconfig')
 makedepends=('pkgconfig')
 provides=('gnash')
 replaces=('gnash')
 backup=('etc/gnashrc' 'etc/gnashpluginrc')
 options=('!libtool' '!emptydirs')
-source=("http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2")
+source=(http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2)
 md5sums=('366f703c2eb1747e4109602b75439ff4')
 
 build() {
-	cd $srcdir/gnash-$pkgver
+	cd "$srcdir/gnash-$pkgver"
 
 	./configure --prefix=/usr \
 		--sysconfdir=/etc \
@@ -28,14 +28,15 @@
 		--enable-renderer=agg \
 		--enable-z \
 		--enable-jpeg \
-		--enable-libpng \
+		--enable-png \
 		--enable-gif \
+		--enable-speex \
 		--enable-fontconfig \
 		--enable-Xft \
 		--enable-expat \
-		--enable-ffmpeg \
-		--enable-media=ffmpeg || return 1
+		--enable-gstreamer \
+		--enable-media=gst || return 1
 
 	make || return 1
-	make DESTDIR=$pkgdir install || return 1
+	make DESTDIR="$pkgdir" install || return 1
 }



More information about the arch-commits mailing list